Subject: Re: Bug: branch checkout is detached if the case doesn't match

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 23 Jun 2021 15:00:24 +0200

On Wed, Jun 23 2021, brian m. carlson wrote:

> [...] In the mean time, you may prefer to adopt a naming convention
> for your project branches; for example, even though I use Linux and
> don't have this problem, I always use lowercase, which makes things
> easier for colleagues on other systems (and is also easier to type).

The reported issue is one that doesn't have to do with the naming of the
branch itself, but git accepting it due to how the ref backend interacts
with the FS.

As noted I've run into e.g. people writing unportable "head.." code,
which we happily resolve to "HEAD"., ditto "master", "Master", "MASTER"
etc. on OSX.